<template>
  <div class="p-lg-5 mb-5" :class="large ? 'panel-actu--lg' : 'panel-actu'">
    <CoolLightBox :items="itemsLightbox" :index="index" :effect="'fade'" @close="index = null"></CoolLightBox>
    <b-row no-gutters>
      <b-col md="6" :class="{ 'order-md-2': reverse }">
        <div class="pb-4 p-sm-3">
          <!-- Image principale -->
          <div class="box-img">
            <div class="box-img__img" @click="index = 0" :style="{ backgroundImage: 'url(' + urlFTP + 'tn/tn1-' + moduleContent.data.image1 + ')' }"></div>
          </div>
          <!-- Images dans bloc images-->
          <b-row no-gutters class="mt-3 mr-n3" v-if="tnInZImg == true">
            <b-col cols="4" :lg="tnLg" class="pr-3 pb-3" v-for="(idxImg, indice) in nbConfigImg" :key="indice">
              <div class="box-img" v-if="moduleContent.data['image' + idxImg] != ''">
                <div class="box-img__img" @click="index = indice" :style="{ backgroundImage: 'url(' + urlFTP + 'tn/tn1-' + moduleContent.data['image' + idxImg] + ')' }"></div>
              </div>
            </b-col>
          </b-row>
        </div>
      </b-col>
      <b-col md="6">
        <div class="p-sm-3 p-lg-5">
          <!-- Titre de l'actu-->
          <h3 class="card-title" v-if="moduleContent.data.titre1">{{ moduleContent.data.titre1 }}</h3>
          <!-- Date -->
          <p>
            <small class="text-muted">Publié le {{ moduleContent.created_at | simplyDate }} </small>
          </p>
          <!-- Descriptif -->
          <div v-html="moduleContent.data.description1"></div>
          <!-- Images dans bloc texte-->
          <b-row no-gutters class="mt-4 mr-n3" v-if="tnInZText == true">
            <b-col cols="4" class="pr-3 pb-3" :lg="tnLg" v-for="(idxImg, indice) in nbConfigImg" :key="indice">
              <div class="box-img" v-if="moduleContent.data['image' + idxImg] != ''">
                <div class="box-img__img" @click="index = indice" :style="{ backgroundImage: 'url(' + urlFTP + 'tn/tn1-' + moduleContent.data['image' + idxImg] + ')' }"></div>
              </div>
            </b-col>
          </b-row>

          <hr class="my-4" />
          <!-- Social -->
          <share></share>
        </div>
      </b-col>
    </b-row>
  </div>
</template>
<script>
import Share from "./share.vue";
export default {
  components: { Share },
  props: ["moduleContent", "pageName", "listProducts", "reverse", "tnLg", "tnInZText", "tnInZImg", "large", "nbConfigImg"],
  mounted: function() {
    this.fillLightBox();
  },
  data() {
    return {
      index: null,
      itemsLightbox: [],
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  },
  methods: {
    goTo(link, item) {
      this.$router.push({ name: "news-detail", params: { id: item.id, listProducts: this.listProducts } });
      // this.$router.go();
    },
    fillLightBox() {
      if (parseInt(this.nbConfigImg) > 0) {
        for (let i = 1; i <= parseInt(this.nbConfigImg); i++) {
          // this.itemsLightbox.push()
          if (this.moduleContent.data["image" + i] != "") {
            let rawImg = {
              title: "",
              description: "",
              src: this.urlFTP + "tn/tn1-" + this.moduleContent.data["image" + i],
              thumb: this.urlFTP + "tn/tn1-" + this.moduleContent.data["image" + i]
            };
            this.itemsLightbox.push(rawImg);
          }
        }
      }
    }
  }
};
</script>
